## hunspell 1.0

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: Hunspell Spell Checker
Version: 1.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Description: A spell checker and morphological analyzer library
    designed for languages with rich morphology and complex word
    compounding or character encoding.
License: MIT + file LICENSE
URL: https://github.com/jeroenooms/hunspell
BugReports: https://github.com/jeroenooms/hunspell/issues
SystemRequirements: Hunspell library and headers
Imports: Rcpp (>= 0.12.0)
LinkingTo: Rcpp
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-03-10 21:39:48 UTC; jeroen
Repository: CRAN
Date/Publication: 2016-03-10 23:40:53

## hunspell 1.1

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: Spell Checker and Text Parser for R
Version: 1.1
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Description: A spell checker and morphological analyzer library designed for
    languages with rich morphology and complex word compounding or character
    encoding. The package can check and analyze individual words as well as
    search for incorrect words within a text, latex or manual document.
License: MIT + file LICENSE
URL: https://github.com/jeroenooms/hunspell https://hunspell.github.io
BugReports: https://github.com/jeroenooms/hunspell/issues
SystemRequirements: Hunspell library and headers
Imports: Rcpp
LinkingTo: Rcpp
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-03-12 13:02:27 UTC; jeroen
Repository: CRAN
Date/Publication: 2016-03-12 16:15:46

## hunspell 1.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
-Title: Spell Checker and Text Parser for R
-Version: 1.1
+Title: Morphological Analysis and Spell Checker for R
+Version: 1.2
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
 Description: A spell checker and morphological analyzer library designed for
@@ -14,8 +14,9 @@
 SystemRequirements: Hunspell library and headers
 Imports: Rcpp
 LinkingTo: Rcpp
+Suggests: testthat
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2016-03-12 13:02:27 UTC; jeroen
+Packaged: 2016-03-19 19:43:28 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2016-03-12 16:15:46
+Date/Publication: 2016-03-19 23:01:11

## hunspell 1.3.3

=== debian/changelog ===
hunspell (1.3.3-4ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - libhunspell-1.3-0: Add breaks/replaces to libhunspell-1.3-0v5;
      can be dropped after xenial.
    - Mark the library packages as M-A: same.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Apr 2016 15:16:58 +0200

hunspell (1.3.3-4) unstable; urgency=medium

  * apply patch from Raúl Benencia: Fix FTBFS caused by new binary
    matching behavior on grep, thanks (Closes: #814968)

  * s/character/characters/ (closes: #811221) 
  * apply patch from Matthias Klose:
    - Bump the standards version.
    - Build using dpkg-buildflags. Closes: #780626.
    - Enable parallel builds.
    (closes: #798614)
  * migrate from -dbg to -dbgsym

 -- Rene Engelhard <rene@debian.org>  Wed, 09 Mar 2016 17:03:11 +0000

hunspell (1.3.3-3ubuntu4) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:41:55 +0000

hunspell (1.3.3-3ubuntu3) wily; urgency=medium

  * Let the transitional library package depend on the library package.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2015 10:52:54 +0200

hunspell (1.3.3-3ubuntu2) wily; urgency=medium

  * Revert the library transition; not needed for this package.
  * Build using dpkg-buildflags. Closes: #780626.
  * Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Sep 2015 02:38:50 +0200

hunspell (1.3.3-3ubuntu1~gcc5.2) wily; urgency=medium

  * Renamed library for gcc5 transition libhunspell-1.3-0 -> libhunspell-
    1.3-0v5

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 29 Jul 2015 12:44:53 +0200

hunspell (1.3.3-3ubuntu1~gcc5.1) wily; urgency=medium

  * No-change test rebuild for g++5 ABI transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 15 Jul 2015 08:01:49 +0000

hunspell (1.3.3-3) unstable; urgency=medium

  * debian/patches/bug185.diff: backport patch from upstream bug 185
    to fix UTF-8 spellchecking (e.g. in emacs) (closes: #762802)
  * debian/patches/dont-translate-init-string.diff: as name says
    (closes: #690318)
  * make config.status in rules depend on configure.ac instead of
    configure to fix second (re)build; configure is generated by
    dh_autoreconf anyways

 -- Rene Engelhard <rene@debian.org>  Fri, 17 Oct 2014 18:58:38 +0000

hunspell (1.3.3-2) unstable; urgency=low

  * use dh-autoreconf (closes: #753628)

 -- Rene Engelhard <rene@debian.org>  Tue, 08 Jul 2014 19:22:00 +0200

hunspell (1.3.3-1) unstable; urgency=low

  * New upstream release

  * make hunspell suggest unzip 
  * bunp .shlibs

 -- Rene Engelhard <rene@debian.org>  Wed, 04 Jun 2014 13:40:26 +0200

hunspell (1.3.2-7) unstable; urgency=medium

  * migrate from dpatch to 3.0 (quilt)
  * remove unused 99_build_stuff.dpatch (closes: #724391)
  * fix character errors in upstream's full name, thanks Luca Capello
    (closes: #659278)
  * Honour DEB_BUILD_OPTIONS=nocheck (closes: #695146=

 -- Rene Engelhard <rene@debian.org>  Mon, 10 Mar 2014 11:08:03 +0100

hunspell (1.3.2-6) unstable; urgency=low

  * apply new upstream version of ispellaff2myspell from Agustin Martin
    Domingo:
    - debian/ispellaff2myspell: New upstream version.
      + Incorporate changes by Gregor Herrmann (UTF-8 and typo fixes).
      + Use octal codes for unibyte strings to make them coexist
        with new UTF-8 encoding.
      + Other minor changes.

 -- Rene Engelhard <rene@debian.org>  Wed, 13 Nov 2013 20:40:12 +0100

hunspell (1.3.2-5) unstable; urgency=low

  * apply patch from Gregor Hermann, thanks
   - Fix "FTBFS: POD error":
     + update POD of ispellaff2myspell: 
       . convert to UTF-8 and add =encoding directive
       . additionally fix a typo
     + call pod2man with --utf8 in debian/rules 
       (Closes: #724115)

 -- Rene Engelhard <rene@debian.org>  Tue, 12 Nov 2013 21:32:11 +0100

hunspell (1.3.2-4) unstable; urgency=low

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Oct 2011 20:33:15 +0000

hunspell (1.3.2-3) experimental; urgency=low

  * build -dbg package (closes: #638615)
  * add patch from Riku Voipio to convert to multiarch (closes: #643327) 

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Sep 2011 21:16:52 +0200

hunspell (1.3.2-2) experimental; urgency=low

  * change Maintainer to Debian LibreOffice Maintainers
  * update libhunspell-dev.links

 -- Rene Engelhard <rene@debian.org>  Mon, 25 Jul 2011 18:39:37 +0000

hunspell (1.3.2-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Mon, 25 Jul 2011 16:40:43 +0000

hunspell (1.3.1-1) experimental; urgency=low

  * New upstream release 

 -- Rene Engelhard <rene@debian.org>  Wed, 02 Feb 2011 19:00:28 +0000

hunspell (1.2.14-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Thu, 06 Jan 2011 14:29:56 +0100

hunspell (1.2.12-1) experimental; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 01 Jan 2011 16:19:08 +0100

hunspell (1.2.11-1) unstable; urgency=low

  * New upstream release

 -- Rene Engelhard <rene@debian.org>  Sat, 15 May 2010 02:08:37 +0200

hunspell (1.2.8-6) unstable; urgency=low

  * debian/control:
    + Add self to Uploaders.
    + Add ${misc:Depends} to binary packages where missing.
    + Add Homepage field.
    + Build-Depend on debhelper (>= 7).
  * debian/compat: Bump debhelper compatibility level to 7.
  * debian/rules:
    + Update config.sub and config.guess before configure, and
      replace the old versions when cleaning. (Closes: #535722)
    + Remove libtool on clean.
    + Use dh_prep rather than dh_clean -k.

 -- Tim Retout <diocles@debian.org>  Mon, 18 Jan 2010 00:41:47 +0000

hunspell (1.2.8-5) unstable; urgency=low

  * build-depend on libreadline-dev 

 -- Rene Engelhard <rene@debian.org>  Mon, 14 Sep 2009 01:15:22 +0200

hunspell (1.2.8-4) unstable; urgency=low

  * stop applying 99_build_stuff.dpatch. We don't need it right now


=== debian/control ===
Source: hunspell
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>,
 Tim Retout <diocles@debian.org>
Build-Depends: debhelper (>= 9.20151219), libreadline-dev, libncurses5-dev,
 libncursesw5-dev, dh-autoreconf
Standards-Version: 3.9.6
Section: text
Homepage: http://hunspell.sourceforge.net/

Package: libhunspell-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
 libhunspell-1.3-0 (= ${binary:Version})
Replaces: hunspell (<< 1.2.7-2)
Description: spell checker and morphological analyzer (development)
 Hunspell is a spell checker and morphological analyzer library and program
 designed for languages with rich morphology and complex word compounding or
 character encoding. It is based on MySpell and features an Ispell-like
 terminal interface using Curses library, an Ispell pipe interface and an
 OpenOffice.org UNO module.
 .
 Main features:
  - Unicode support (first 65535 Unicode characters)
  - morphological analysis (in custom item and arrangement style)
  - Max. 65535 affix classes and twofold affix stripping (for agglutinative
    languages, like Azeri, Basque, Estonian, Finnish, Hungarian, Turkish, etc.)
  - Support complex compoundings (for example, Hungarian and German)
  - Support language specific algorithms (for example, handling Azeri
    and Turkish dotted i, or German sharp s)
  - Handling conditional affixes, circumfixes, fogemorphemes,
    forbidden words, pseudoroots and homonyms.
 .
 This package contains the headers and the static library.

Package: libhunspell-1.3-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: hunspell-en-us | hunspell-dictionary | myspell-dictionary
Conflicts: openoffice.org-core (= 2.2.0~rc2-1), libhunspell-1.3-0v5 (<< 1.3.3-3ubuntu1)
Replaces: libhunspell-1.3-0v5 (<< 1.3.3-3ubuntu1)
Pre-Depends: ${misc:Pre-Depends}
Description: spell checker and morphological analyzer (shared library)
 Hunspell is a spell checker and morphological analyzer library and program
 designed for languages with rich morphology and complex word compounding or
 character encoding. It is based on MySpell and features an Ispell-like
 terminal interface using Curses library, an Ispell pipe interface and an
 OpenOffice.org UNO module.
 .
 Main features:
  - Unicode support (first 65535 Unicode characters)
  - morphological analysis (in custom item and arrangement style)
  - Max. 65535 affix classes and twofold affix stripping (for agglutinative
    languages, like Azeri, Basque, Estonian, Finnish, Hungarian, Turkish, etc.)
  - Support complex compoundings (for example, Hungarian and German)
  - Support language specific algorithms (for example, handling Azeri
    and Turkish dotted i, or German sharp s)
  - Handling conditional affixes, circumfixes, fogemorphemes,
    forbidden words, pseudoroots and homonyms.
 .
 This package contains the shared library.

Package: hunspell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hunspell-en-us | hunspell-dictionary | myspell-dictionary
Suggests: unzip
Multi-Arch: foreign
Description: spell checker and morphological analyzer (program)
 Hunspell is a spell checker and morphological analyzer library and program
 designed for languages with rich morphology and complex word compounding or
 character encoding. It is based on MySpell and features an Ispell-like
 terminal interface using Curses library, an Ispell pipe interface and an
 OpenOffice.org UNO module.
 .
 Main features:
  - Unicode support (first 65535 Unicode characters)
  - morphological analysis (in custom item and arrangement style)
  - Max. 65535 affix classes and twofold affix stripping (for agglutinative
    languages, like Azeri, Basque, Estonian, Finnish, Hungarian, Turkish, etc.)
  - Support complex compoundings (for example, Hungarian and German)
  - Support language specific algorithms (for example, handling Azeri
    and Turkish dotted i, or German sharp s)
  - Handling conditional affixes, circumfixes, fogemorphemes,
    forbidden words, pseudoroots and homonyms.
 .
 This package contains the program with the Ispell-like terminal and pipe
 interfaces.

Package: hunspell-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Conflicts: libmyspell-dev
Replaces: libmyspell-dev, hunspell (<< 1.2.7-2)
Multi-Arch: foreign
Description: tools for hunspell
 Hunspell is a spell checker and morphological analyzer library and program
 designed for languages with rich morphology and complex word compounding or
 character encoding. It is based on MySpell and features an Ispell-like
 terminal interface using Curses library, an Ispell pipe interface and an
 OpenOffice.org UNO module.
 .
 Main features:
  - Unicode support (first 65535 Unicode characters)
  - morphological analysis (in custom item and arrangement style)
  - Max. 65535 affix classes and twofold affix stripping (for agglutinative
    languages, like Azeri, Basque, Estonian, Finnish, Hungarian, Turkish, etc.)
  - Support complex compoundings (for example, Hungarian and German)
  - Support language specific algorithms (for example, handling Azeri
    and Turkish dotted i, or German sharp s)
  - Handling conditional affixes, circumfixes, fogemorphemes,
    forbidden words, pseudoroots and homonyms.
 .
 This package contains a the munch/unmunch tools of hunspell and
 ispellaff2myspell for converting ispell affix files for myspell/hunspell
 format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
libdir = /usr/lib/$(DEB_HOST_MULTIARCH)


COMMA = ,
ifneq (,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
  NJOBS := -j $(subst parallel=,,$(filter parallel=%,$(subst $(COMMA), ,$(DEB_BUILD_OPTIONS))))
endif

# shared library versions, option 1
version=2.0.5
major=2
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

configure-stamp:
	dh_testdir
	dh_autoreconf
	$(shell DEB_CFLAGS_MAINT_APPEND=-Wall dpkg-buildflags --export=cmdline) \
	    ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
		--with-ui --with-readline --disable-rpath --libdir=$(libdir)
	touch configure-stamp

build: build-stamp
build-stamp:  configure-stamp
	dh_testdir

	$(MAKE) $(NJOBS)
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) check
endif
	pod2man --utf8 debian/ispellaff2myspell \
		> debian/ispellaff2myspell.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f debian/ispellaff2myspell.1
	rm -f config.log

	dh_autoreconf_clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

	dh_install

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_installexamples src/tools/example.cxx
	dh_install
	dh_installman
	ln -s libhunspell-1.3.a debian/libhunspell-dev/$(libdir)/libhunspell.a
	ln -s libhunspell-1.3.so debian/libhunspell-dev/$(libdir)/libhunspell.so
	dh_strip --ddeb-migration=libhunspell-1.3-0-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## hunspell 1.4

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: Morphological Analysis and Spell Checker for R
Version: 1.4
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Description: A spell checker and morphological analyzer library designed for
    languages with rich morphology and complex word compounding or character
    encoding. The package can check and analyze individual words as well as
    search for incorrect words within a text, latex or manual document. Use
    the 'devtools' package to spell R documentation with 'hunspell'.
License: MIT + file LICENSE
URL: https://github.com/ropensci/hunspell#readme
BugReports: https://github.com/ropensci/hunspell/issues
Imports: Rcpp
LinkingTo: Rcpp
Suggests: testthat
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-07-12 07:22:54 UTC; jeroen
Repository: CRAN
Date/Publication: 2016-07-12 10:55:15

## hunspell 1.4.1

=== debian/changelog ===
hunspell (1.4.1-2) unstable; urgency=medium

  * [20f72ae] update copyright to include Kevin Hendricks and Bjoern Jacke
  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Tue, 10 May 2016 20:32:51 +0200

hunspell (1.4.1-1) experimental; urgency=medium

  * Imported Upstream version 1.4.1

 -- Rene Engelhard <rene@debian.org>  Tue, 03 May 2016 10:21:59 +0200

hunspell (1.4.0-1) experimental; urgency=medium

  * hunspell 1.4.0 final release

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Apr 2016 21:57:01 +0200

hunspell (1.4.0~git20160415-1) experimental; urgency=medium

  * New upstream snapshot

 -- Rene Engelhard <rene@debian.org>  Sat, 16 Apr 2016 00:25:02 +0200

hunspell (1.3.4-1) unstable; urgency=medium

  * New upstream release

  * update Homepage:/copyright for github
  * add debian/watch 

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Apr 2016 23:25:53 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,21 @@
 Source: hunspell
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
+Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>,
  Tim Retout <diocles@debian.org>
 Build-Depends: debhelper (>= 9.20151219), libreadline-dev, libncurses5-dev,
  libncursesw5-dev, dh-autoreconf
 Standards-Version: 3.9.6
 Section: text
-Homepage: http://hunspell.sourceforge.net/
+Homepage: http://hunspell.github.io/
 
 Package: libhunspell-dev
 Section: libdevel
 Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends},
+ libhunspell-1.4-0 (= ${binary:Version})
+Replaces: hunspell (<< 1.2.7-2)
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libhunspell-1.3-0 (= ${binary:Version})
-Replaces: hunspell (<< 1.2.7-2)
 Description: spell checker and morphological analyzer (development)
  Hunspell is a spell checker and morphological analyzer library and program
  designed for languages with rich morphology and complex word compounding or
@@ -37,14 +36,13 @@
  .
  This package contains the headers and the static library.
 
-Package: libhunspell-1.3-0
+Package: libhunspell-1.4-0
 Section: libs
 Architecture: any
-Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: hunspell-en-us | hunspell-dictionary | myspell-dictionary
-Conflicts: openoffice.org-core (= 2.2.0~rc2-1), libhunspell-1.3-0v5 (<< 1.3.3-3ubuntu1)
-Replaces: libhunspell-1.3-0v5 (<< 1.3.3-3ubuntu1)
+Conflicts: openoffice.org-core (= 2.2.0~rc2-1)
+Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Description: spell checker and morphological analyzer (shared library)
  Hunspell is a spell checker and morphological analyzer library and program

=== debian/rules ===
--- 
+++ 
@@ -86,9 +86,9 @@
 	dh_installexamples src/tools/example.cxx
 	dh_install
 	dh_installman
-	ln -s libhunspell-1.3.a debian/libhunspell-dev/$(libdir)/libhunspell.a
-	ln -s libhunspell-1.3.so debian/libhunspell-dev/$(libdir)/libhunspell.so
-	dh_strip --ddeb-migration=libhunspell-1.3-0-dbg
+	ln -s libhunspell-1.4.a debian/libhunspell-dev/$(libdir)/libhunspell.a
+	ln -s libhunspell-1.4.so debian/libhunspell-dev/$(libdir)/libhunspell.so
+	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs

## hunspell 1.4.2

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: Morphological Analysis and Spell Checker for R
Version: 1.4.2
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Description: A spell checker and morphological analyzer library designed for
    languages with rich morphology and complex word compounding or character
    encoding. The package can check and analyze individual words as well as
    search for incorrect words within a text, latex or manual document. Use
    the 'devtools' package to spell R documentation with 'hunspell'.
License: GPL-2 | LGPL-2.1 | Mozilla Public License
URL: https://github.com/ropensci/hunspell#readme
BugReports: https://github.com/ropensci/hunspell/issues
Imports: Rcpp
LinkingTo: Rcpp
Suggests: testthat
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-07-12 20:37:13 UTC; jeroen
Repository: CRAN
Date/Publication: 2016-07-13 10:19:30

## hunspell 1.4.3

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: Morphological Analysis and Spell Checker for R
Version: 1.4.3
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Description: A spell checker and morphological analyzer library designed for
    languages with rich morphology and complex word compounding or character
    encoding. The package can check and analyze individual words as well as
    search for incorrect words within a text, latex or manual document. Use
    the 'devtools' package to spell check R documentation with 'hunspell'.
License: GPL-2 | LGPL-2.1 | MPL-1.1
URL: https://github.com/ropensci/hunspell#readme
BugReports: https://github.com/ropensci/hunspell/issues
Imports: Rcpp
LinkingTo: Rcpp
Suggests: testthat
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-07-27 11:39:59 UTC; jeroen
Repository: CRAN
Date/Publication: 2016-07-27 14:25:12

## hunspell 1.6.2

=== debian/changelog ===
hunspell (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2

  * install README.md (closes: #866159)

 -- Rene Engelhard <rene@debian.org>  Mon, 18 Sep 2017 20:07:14 +0200

hunspell (1.6.1-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Mon, 29 May 2017 13:25:43 +0200

hunspell (1.6.1-1) experimental; urgency=medium

  [ Mattia Rizzolo ]
  * Add Vcs-* fields

  [ Rene Engelhard ]
  * New upstream version 1.6.1

 -- Rene Engelhard <rene@debian.org>  Mon, 08 May 2017 15:55:05 +0200

hunspell (1.6.0-1) experimental; urgency=medium

  * New upstream version 1.6.0
  * libhunspell-1.5 -> libhunspell-1.6

 -- Rene Engelhard <rene@debian.org>  Sun, 25 Dec 2016 17:52:09 +0100

hunspell (1.5.4-1) experimental; urgency=medium

  * New upstream version 1.5.4

 -- Rene Engelhard <rene@debian.org>  Sun, 04 Dec 2016 12:00:49 +0100

hunspell (1.5.3-1) experimental; urgency=medium

  * New upstream version 1.5.3
  * update package names for new SONAME
  * bump dh compat to 10

 -- Rene Engelhard <rene@debian.org>  Tue, 29 Nov 2016 21:20:57 +0100

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,19 @@
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
 Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>,
  Tim Retout <diocles@debian.org>
-Build-Depends: debhelper (>= 9.20151219), libreadline-dev, libncurses5-dev,
+Build-Depends: debhelper (>= 10), libreadline-dev, libncurses5-dev,
  libncursesw5-dev, dh-autoreconf
 Standards-Version: 3.9.6
 Section: text
 Homepage: http://hunspell.github.io/
+Vcs-Git: https://anonscm.debian.org/git/pkg-openoffice/hunspell.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-openoffice/hunspell.git
 
 Package: libhunspell-dev
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
- libhunspell-1.4-0 (= ${binary:Version})
+ libhunspell-1.6-0 (= ${binary:Version})
 Replaces: hunspell (<< 1.2.7-2)
 Multi-Arch: same
 Description: spell checker and morphological analyzer (development)
@@ -36,7 +38,7 @@
  .
  This package contains the headers and the static library.
 
-Package: libhunspell-1.4-0
+Package: libhunspell-1.6-0
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -86,8 +86,8 @@
 	dh_installexamples src/tools/example.cxx
 	dh_install
 	dh_installman
-	ln -s libhunspell-1.4.a debian/libhunspell-dev/$(libdir)/libhunspell.a
-	ln -s libhunspell-1.4.so debian/libhunspell-dev/$(libdir)/libhunspell.so
+	ln -s libhunspell-1.6.a debian/libhunspell-dev/$(libdir)/libhunspell.a
+	ln -s libhunspell-1.6.so debian/libhunspell-dev/$(libdir)/libhunspell.so
 	dh_strip
 	dh_compress
 	dh_fixperms

## hunspell 1.7.0

=== debian/changelog ===
hunspell (1.7.0-4build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:58:09 +0100

hunspell (1.7.0-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + libhunspell-dev: Drop versioned constraint on hunspell in Replaces.
    + hunspell-tools: Drop versioned constraint on hunspell in Replaces.

  [ Mattia Rizzolo ]
  * Remove constraints unnecessary since quite a long time:
    + libmyspell-dev: Drop Conflicts/Replaces.
  * Bump d/watch to version=4 and use subst.

  [ Rene Engelhard ]
  * debian/patches/Fix-string-format-error-with-recent-ncurses.diff:
    add patch from Sven Joachim; as name says (closes: #996918) 

 -- Rene Engelhard <rene@debian.org>  Wed, 20 Oct 2021 20:36:34 +0200

hunspell (1.7.0-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Rely on pre-initialized dpkg-architecture variables.

  [ Mattia Rizzolo ]
  * Remove old now unused file myspell.pc.
  * Rename d/docs to d/libhunpell-dev.docs for clarity.
  * Add d/not-installed to document the files deliberately not packaged.
  * d/control:
    + Bump debhelper compat version to 13
    + Bump Standards-Version to 4.5.0:
      - Set Rules-Requires-Root:no.
    + Drop build-dep on dh-autoreconf, now implied by debhelper >= 10.
  * d/rules: Rewrite using the dh sequencer.
  * Install the affixcompress tool.  Closes: #602189
  * Add patch from upstream to fix CVE-2019-16707.  Closes: #941185
  * Drop explicit d/*.shlibs file, and override the default dh_makeshlibs to
    use -VNone.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 24 Jun 2020 21:16:06 +0200

hunspell (1.7.0-2) unstable; urgency=medium

  * upload to unstable

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Nov 2018 20:05:37 +0000

hunspell (1.7.0-1) experimental; urgency=medium

  * New upstream version 1.7.0
  * libhunspell-1.6-0 -> libhunspell-1.7-0

 -- Rene Engelhard <rene@debian.org>  Tue, 13 Nov 2018 07:55:52 +0100

hunspell (1.6.2-2) unstable; urgency=medium

  * avoid linking with -lncurses, thanks Sven Joachim (closes: #898472)

 -- Rene Engelhard <rene@debian.org>  Tue, 13 Nov 2018 07:46:44 +0100

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--with-ui --with-readline

override_dh_auto_build:
	dh_auto_build
	pod2man --utf8 debian/ispellaff2myspell \
		> debian/ispellaff2myspell.1

override_dh_clean:
	dh_clean debian/ispellaff2myspell.1

override_dh_installexamples:
	dh_installexamples src/tools/example.cxx

override_dh_makeshlibs:
	dh_makeshlibs -VNone

=== debian/watch ===
version=4

https://github.com/hunspell/hunspell/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## hunspell 1.7.1

=== debian/changelog ===
hunspell (1.7.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.0, no changes needed.

  [ Rene Engelhard ]
  * New upstream version 1.7.1

 -- Rene Engelhard <rene@debian.org>  Mon, 22 Aug 2022 18:39:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,30 @@
 Source: hunspell
 Priority: optional
 Maintainer: Debian LibreOffice Maintainers <debian-openoffice@lists.debian.org>
-Uploaders: Rene Engelhard <rene@debian.org>, Chris Halls <halls@debian.org>,
- Tim Retout <diocles@debian.org>
-Build-Depends: debhelper (>= 10), libreadline-dev, libncurses5-dev,
- libncursesw5-dev, dh-autoreconf
-Standards-Version: 3.9.6
+Uploaders:
+ Rene Engelhard <rene@debian.org>,
+ Chris Halls <halls@debian.org>,
+ Tim Retout <diocles@debian.org>,
+Build-Depends:
+ debhelper-compat (= 13),
+ gettext,
+ libncurses5-dev,
+ libncursesw5-dev,
+ libreadline-dev,
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Section: text
-Homepage: http://hunspell.github.io/
-Vcs-Git: https://anonscm.debian.org/git/pkg-openoffice/hunspell.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-openoffice/hunspell.git
+Homepage: https://hunspell.github.io/
+Vcs-Git: https://salsa.debian.org/libreoffice-team/hunspell.git
+Vcs-Browser: https://salsa.debian.org/libreoffice-team/hunspell
 
 Package: libhunspell-dev
 Section: libdevel
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
- libhunspell-1.6-0 (= ${binary:Version})
-Replaces: hunspell (<< 1.2.7-2)
+Depends:
+ libhunspell-1.7-0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
 Multi-Arch: same
 Description: spell checker and morphological analyzer (development)
  Hunspell is a spell checker and morphological analyzer library and program
@@ -38,14 +46,19 @@
  .
  This package contains the headers and the static library.
 
-Package: libhunspell-1.6-0
+Package: libhunspell-1.7-0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: hunspell-en-us | hunspell-dictionary | myspell-dictionary
-Conflicts: openoffice.org-core (= 2.2.0~rc2-1)
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Recommends:
+ hunspell-en-us | hunspell-dictionary | myspell-dictionary,
+Conflicts:
+ openoffice.org-core (= 2.2.0~rc2-1),
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
+Pre-Depends:
+ ${misc:Pre-Depends},
 Description: spell checker and morphological analyzer (shared library)
  Hunspell is a spell checker and morphological analyzer library and program
  designed for languages with rich morphology and complex word compounding or
@@ -68,8 +81,12 @@
 
 Package: hunspell
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, hunspell-en-us | hunspell-dictionary | myspell-dictionary
-Suggests: unzip
+Depends:
+ hunspell-en-us | hunspell-dictionary | myspell-dictionary,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests:
+ unzip,
 Multi-Arch: foreign
 Description: spell checker and morphological analyzer (program)
  Hunspell is a spell checker and morphological analyzer library and program
@@ -94,9 +111,10 @@
 
 Package: hunspell-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
-Conflicts: libmyspell-dev
-Replaces: libmyspell-dev, hunspell (<< 1.2.7-2)
+Depends:
+ ${misc:Depends},
+ ${perl:Depends},
+ ${shlibs:Depends},
 Multi-Arch: foreign
 Description: tools for hunspell
  Hunspell is a spell checker and morphological analyzer library and program
@@ -119,4 +137,3 @@
  This package contains a the munch/unmunch tools of hunspell and
  ispellaff2myspell for converting ispell affix files for myspell/hunspell
  format.
-

## hunspell 1.7.2+really1.7.1

=== debian/changelog ===
hunspell (1.7.2+really1.7.1-2~ab11+1) bullseye-ab-unstable; urgency=medium

  * Automated port via mini-buildd (no changes). Original DSC's SHA1:
    6acb18487728d39ec2873bf1e2684705b2f49e9f.
  * External port from:
    https://deb.debian.org/debian/pool/main/h/hunspell/hunspell_1.7.2+re
    ally1.7.1-2.dsc
  * MINI_BUILDD_OPTION: lintian-mode=ignore

 -- mini-buildd archive hellfield <mini-buildd@hellfield.olx.intra>  Thu, 06 Apr 2023 12:14:18 +0200

hunspell (1.7.2+really1.7.1-2) unstable; urgency=medium

  * reupload 1.7.1 for now 

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Dec 2022 08:32:27 +0100

hunspell (1.7.2-1) unstable; urgency=medium

  * New upstream version 1.7.2

 -- Rene Engelhard <rene@debian.org>  Fri, 30 Dec 2022 15:12:10 +0100

## hunspell 1.7.2+really1.7.2

=== debian/changelog ===
hunspell (1.7.2+really1.7.2-11) unstable; urgency=medium

  * debian/patches/aspell_conv: remove, upstream (closes: #1106377)

 -- Rene Engelhard <rene@debian.org>  Sat, 24 May 2025 15:18:53 +0200

hunspell (1.7.2+really1.7.2-10) unstable; urgency=medium

  * fix libhunspell-private-devs .shlibs 

 -- Rene Engelhard <rene@debian.org>  Sun, 16 Jul 2023 22:19:54 +0200

hunspell (1.7.2+really1.7.2-9) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Sun, 16 Jul 2023 21:57:27 +0200

hunspell (1.7.2+really1.7.2-8) experimental; urgency=medium

  * install private headers (csutil.hxx and htypes.hxx) into
    a new libhunspell-private-dev (for r-cran-hunspell)

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Jun 2023 17:27:10 +0200

hunspell (1.7.2+really1.7.2-7) unstable; urgency=medium

  * upload to unstable 

 -- Rene Engelhard <rene@debian.org>  Tue, 27 Jun 2023 06:26:05 +0200

hunspell (1.7.2+really1.7.2-6) experimental; urgency=medium

  * install wordlist2hunspell (into /usr/bin) and wordforms/makealias
    (into /usr/lib/hunspell since the names are a bit too generic...)
    in hunspell-tools (closes: #991616)
  * make libhunspell-1.7-0 break hunspell (<< 1.7.2+really1.7.2) 

 -- Rene Engelhard <rene@debian.org>  Sun, 18 Jun 2023 10:54:59 +0200

hunspell (1.7.2+really1.7.2-5) experimental; urgency=medium

  * add Breaks: r-cran-hunspell (<= 3.0.2+dfsg-1) 

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Jan 2023 16:01:09 +0100

hunspell (1.7.2+really1.7.2-4) experimental; urgency=medium

  * add patch from LibreOffice to allow longer words in hunspell-ko
    (https://github.com/hunspell/hunspell/issues/903) 

 -- Rene Engelhard <rene@debian.org>  Sat, 07 Jan 2023 14:23:59 +0100

hunspell (1.7.2+really1.7.2-3) experimental; urgency=medium

  * reupload as 1.7.2+really1.7.2-3 to be bigger than 1.7.2+really1.7.1-2...

 -- Rene Engelhard <rene@debian.org>  Sun, 01 Jan 2023 18:36:19 +0100

hunspell (1.7.2-2) experimental; urgency=medium

  * reupload 1.7.2 to experimental 

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Dec 2022 08:38:38 +0100

=== debian/control ===
--- 
+++ 
@@ -46,6 +46,30 @@
  .
  This package contains the headers and the static library.
 
+Package: libhunspell-private-dev
+Section: libdevel
+Architecture: all
+Depends: libhunspell-dev (>= ${source:Version}), libhunspell-dev (<< ${source:Version}.1~)
+Description: spell checker and morphological analyzer (private headers)
+ Hunspell is a spell checker and morphological analyzer library and program
+ designed for languages with rich morphology and complex word compounding or
+ character encoding. It is based on MySpell and features an Ispell-like
+ terminal interface using Curses library, an Ispell pipe interface and an
+ OpenOffice.org UNO module.
+ .
+ Main features:
+  - Unicode support (first 65535 Unicode characters)
+  - morphological analysis (in custom item and arrangement style)
+  - Max. 65535 affix classes and twofold affix stripping (for agglutinative
+    languages, like Azeri, Basque, Estonian, Finnish, Hungarian, Turkish, etc.)
+  - Support complex compoundings (for example, Hungarian and German)
+  - Support language specific algorithms (for example, handling Azeri
+    and Turkish dotted i, or German sharp s)
+  - Handling conditional affixes, circumfixes, fogemorphemes,
+    forbidden words, pseudoroots and homonyms.
+ .
+ This package contains some PRIVATE headers. Only use in exceptions.
+
 Package: libhunspell-1.7-0
 Section: libs
 Architecture: any
@@ -56,6 +80,7 @@
  hunspell-en-us | hunspell-dictionary | myspell-dictionary,
 Conflicts:
  openoffice.org-core (= 2.2.0~rc2-1),
+Breaks: r-cran-hunspell (<= 3.0.2+dfsg-1), hunspell (<< 1.7.2+really1.7.2) 
 Multi-Arch: same
 Pre-Depends:
  ${misc:Pre-Depends},

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+include /usr/share/dpkg/pkg-info.mk
 
 %:
 	dh $@
@@ -23,4 +24,14 @@
 	dh_installexamples src/tools/example.cxx
 
 override_dh_makeshlibs:
-	dh_makeshlibs -VNone
+	# add strict dependency if we use private headers
+	dh_makeshlibs -plibhunspell-1.7-0 -V'libhunspell-1.7-0 (>= $(DEB_VERSION_UPSTREAM)), libhunspell-1.7-0 (<< $(DEB_VERSION_UPSTREAM).1~)'
+	# back out the .shlibs/move to the correct package. It just being
+	# there in private-de seems to work, it doesn't need to be in libhunspell-1.7-0
+	# proper
+	mkdir -p debian/libhunspell-private-dev/DEBIAN/
+	mv debian/libhunspell-1.7-0/DEBIAN/shlibs \
+		debian/libhunspell-private-dev/DEBIAN/shlibs
+	# and now for "real" ibhunspell-1.7-0 which should be compaible
+	# enough to not require a version
+	dh_makeshlibs -plibhunspell-1.7-0 -VNone

## hunspell 2.0

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
Version: 2.0
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
Description: A spell checker and morphological analyzer library designed for
    languages with rich morphology and complex word compounding or character
    encoding. The package can check and analyze individual words as well as
    search for incorrect words within a text, latex, html or xml document. Use
    the 'devtools' package to spell check R documentation with 'hunspell'.
License: GPL-2 | LGPL-2.1 | MPL-1.1
URL: https://github.com/ropensci/hunspell#readme
BugReports: https://github.com/ropensci/hunspell/issues
Imports: Rcpp, digest
LinkingTo: Rcpp
Suggests: testthat, devtools, pdftools, janeaustenr, wordcloud2, knitr,
        rmarkdown
VignetteBuilder: knitr
RoxygenNote: 5.0.1
NeedsCompilation: yes
Packaged: 2016-09-08 17:52:14 UTC; jeroen
Repository: CRAN
Date/Publication: 2016-09-08 21:36:40

## hunspell 2.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
-Version: 2.0
+Version: 2.1
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
 Description: A spell checker and morphological analyzer library designed for
@@ -19,6 +19,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1
 NeedsCompilation: yes
-Packaged: 2016-09-08 17:52:14 UTC; jeroen
+Packaged: 2016-10-02 19:13:16 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2016-09-08 21:36:40
+Date/Publication: 2016-10-03 08:17:42

## hunspell 2.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
-Version: 2.1
+Version: 2.2
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
 Description: A spell checker and morphological analyzer library designed for
@@ -17,8 +17,8 @@
 Suggests: testthat, devtools, pdftools, janeaustenr, wordcloud2, knitr,
         rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 5.0.1
+RoxygenNote: 5.0.1.9000
 NeedsCompilation: yes
-Packaged: 2016-10-02 19:13:16 UTC; jeroen
+Packaged: 2016-11-09 22:34:30 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2016-10-03 08:17:42
+Date/Publication: 2016-11-09 23:58:58

## hunspell 2.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
-Version: 2.2
+Version: 2.3
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen.ooms@stat.ucla.edu>
 Description: A spell checker and morphological analyzer library designed for
@@ -19,6 +19,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 5.0.1.9000
 NeedsCompilation: yes
-Packaged: 2016-11-09 22:34:30 UTC; jeroen
+Packaged: 2016-12-07 13:42:08 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2016-11-09 23:58:58
+Date/Publication: 2016-12-07 16:47:13

## hunspell 2.4

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
Version: 2.4
Author: Jeroen Ooms
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Description: A spell checker and morphological analyzer library designed for
    languages with rich morphology and complex word compounding or character
    encoding. The package can check and analyze individual words as well as
    search for incorrect words within a text, latex, html or xml document. Use
    the 'devtools' package to spell check R documentation with 'hunspell'.
License: GPL-2 | LGPL-2.1 | MPL-1.1
URL: https://github.com/ropensci/hunspell#readme (devel)
        http://hunspell.github.io (upstream)
BugReports: https://github.com/ropensci/hunspell/issues
Imports: Rcpp, digest
LinkingTo: Rcpp
Suggests: testthat, devtools, pdftools, janeaustenr, wordcloud2, knitr,
        rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-04-29 22:13:41 UTC; jeroen
Repository: CRAN
Date/Publication: 2017-04-30 21:45:47 UTC

## hunspell 2.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
-Version: 2.4
+Version: 2.5
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Description: A spell checker and morphological analyzer library designed for
@@ -11,7 +11,7 @@
     the 'devtools' package to spell check R documentation with 'hunspell'.
 License: GPL-2 | LGPL-2.1 | MPL-1.1
 URL: https://github.com/ropensci/hunspell#readme (devel)
-        http://hunspell.github.io (upstream)
+        https://hunspell.github.io (upstream)
 BugReports: https://github.com/ropensci/hunspell/issues
 Imports: Rcpp, digest
 LinkingTo: Rcpp
@@ -20,6 +20,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-04-29 22:13:41 UTC; jeroen
+Packaged: 2017-05-21 14:25:48 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2017-04-30 21:45:47 UTC
+Date/Publication: 2017-05-21 16:10:23 UTC

## hunspell 2.6

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
-Version: 2.5
+Version: 2.6
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Description: A spell checker and morphological analyzer library designed for
@@ -20,6 +20,6 @@
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-05-21 14:25:48 UTC; jeroen
+Packaged: 2017-06-27 19:53:00 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2017-05-21 16:10:23 UTC
+Date/Publication: 2017-06-28 06:20:07 UTC

## hunspell 2.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
-Version: 2.6
+Version: 2.7
+Depends: R (>= 3.0.2)
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Description: A spell checker and morphological analyzer library designed for
@@ -14,12 +15,12 @@
         https://hunspell.github.io (upstream)
 BugReports: https://github.com/ropensci/hunspell/issues
 Imports: Rcpp, digest
-LinkingTo: Rcpp
+LinkingTo: Rcpp (>= 0.12.12)
 Suggests: testthat, devtools, pdftools, janeaustenr, wordcloud2, knitr,
         rmarkdown
 VignetteBuilder: knitr
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2017-06-27 19:53:00 UTC; jeroen
+Packaged: 2017-11-01 12:36:33 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2017-06-28 06:20:07 UTC
+Date/Publication: 2017-11-03 12:21:38 UTC

## hunspell 2.8

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker for R
-Version: 2.7
+Version: 2.8
 Depends: R (>= 3.0.2)
+Encoding: UTF-8
 Author: Jeroen Ooms
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Description: A spell checker and morphological analyzer library designed for
@@ -19,8 +20,8 @@
 Suggests: testthat, devtools, pdftools, janeaustenr, wordcloud2, knitr,
         rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1
+RoxygenNote: 6.0.1.9000
 NeedsCompilation: yes
-Packaged: 2017-11-01 12:36:33 UTC; jeroen
+Packaged: 2017-12-12 10:32:47 UTC; jeroen
 Repository: CRAN
-Date/Publication: 2017-11-03 12:21:38 UTC
+Date/Publication: 2017-12-12 22:35:06 UTC

## hunspell 2.9

=== DESCRIPTION ===
Package: hunspell
Type: Package
Title: High-Performance Stemmer, Tokenizer, and Spell Checker
Version: 2.9
Depends: R (>= 3.0.2)
Encoding: UTF-8
Authors@R: c(
    person("Jeroen", "Ooms", ,"jeroen@berkeley.edu", role = c("aut", "cre")),
    person("Authors of libhunspell", role = "cph", comment = "see AUTHORS file"))
Description: Low level spell checker and morphological analyzer based on the 
    famous 'hunspell' library <https://hunspell.github.io>. The package can analyze
    or check individual words as well as parse text, latex, html or xml documents.
    For a more user-friendly interface use the 'spelling' package which builds on
    this package to automate checking of files, documentation and vignettes in all
    common formats.
License: GPL-2 | LGPL-2.1 | MPL-1.1
URL: https://github.com/ropensci/hunspell#readme (devel)
        https://hunspell.github.io (upstream)
BugReports: https://github.com/ropensci/hunspell/issues
Imports: Rcpp, digest
LinkingTo: Rcpp (>= 0.12.12)
Suggests: spelling, testthat, pdftools, janeaustenr, wordcloud2, knitr,
        rmarkdown
VignetteBuilder: knitr
RoxygenNote: 6.0.1.9000
NeedsCompilation: yes
Packaged: 2017-12-16 16:51:56 UTC; jeroen
Author: Jeroen Ooms [aut, cre],
  Authors of libhunspell [cph] (see AUTHORS file)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2017-12-16 22:00:37 UTC

## hunspell 3.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: hunspell
 Type: Package
 Title: High-Performance Stemmer, Tokenizer, and Spell Checker
-Version: 2.9
+Version: 3.0
 Depends: R (>= 3.0.2)
 Encoding: UTF-8
 Authors@R: c(
@@ -20,13 +20,14 @@
 Imports: Rcpp, digest
 LinkingTo: Rcpp (>= 0.12.12)
 Suggests: spelling, testthat, pdftools, janeaustenr, wordcloud2, knitr,
-        rmarkdown
+        stopwords, rmarkdown
 VignetteBuilder: knitr
-RoxygenNote: 6.0.1.9000
+RoxygenNote: 6.1.1
+Language: en-US
 NeedsCompilation: yes
-Packaged: 2017-12-16 16:51:56 UTC; jeroen
+Packaged: 2018-12-15 15:40:04 UTC; jeroen
 Author: Jeroen Ooms [aut, cre],
   Authors of libhunspell [cph] (see AUTHORS file)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2017-12-16 22:00:37 UTC
+Date/Publication: 2018-12-15 16:20:03 UTC
